Index: trunk/DataCheck/Sourcefile.sh
===================================================================
--- trunk/DataCheck/Sourcefile.sh	(revision 18781)
+++ trunk/DataCheck/Sourcefile.sh	(revision 18782)
@@ -118,5 +118,5 @@
    finish
 fi
-if ! ls $sqlrc >/dev/null
+if ! ls $sqlrc >/dev/null 2>&1 || [ "$sqlrc" = "" ]
 then
    echo "Can't find sql.rc ($sqlrc)"
@@ -229,4 +229,13 @@
       val=
       finish
+   else
+      warning=`echo $val | grep -o -E 'mysql: \[Warning\]'`
+      if [ "$warning" != "" ]
+      then
+         printprocesslog "WARN possible problem to query DB "$db" on host "$ho" with user "$us" (program: $program, function sendquery) "
+         printprocesslog "MYSQLWARN [returncode: "$checkmysql"] "$val
+         val=
+         finish
+      fi
    fi
    if [ "$val" = "NULL" ]
